Commit Tax Calculation
Commit Tax Calculation
Commit a tax calculation to indicate in the Tax Detail Report that the calculated tax amount in the tax request was added to a successful capture or refund transaction.
Tax Detail Report
The commit request sets the Status field in the Tax Detail Report to Committed.
Fields Specific to This Use Case
Include this information with a standard tax calculation request when you want to include the request to your Tax Detail Report:
- To commit a tax calculation request, set the
taxInformation.commitIndicatorfield totrue.
POST /vas/v2/tax
POST /vas/v2/tax
POST /vas/v2/tax
Commit Tax Calculation Scenarios
You can commit tax calculation requests at different moments in a transaction.
Use these scenario examples to determine when it would be best for you to commit a tax calculation.
Scenario 1: Pre-Authorization
You can commit a tax calculation request before requesting an authorization. For example:
Request the tax calculation service with the
taxInformation.commitIndicatorfield set totrue.Authorize and capture payment.
If the authorization or capture fails, void the previously committed tax calculation request. See Void Tax Calculation.
Scenario 2: Post-Capture
You can commit a tax request after a capture. If you implement the tax service in this way, you must request the tax calculation service at least twice per request. For example:
Request the tax calculation service with the
taxInformation.commitIndicatorset tofalse.Authorize and capture the payment.
If the authorization and capture are successful, request the tax calculation service with the
taxInformation.commitIndicatorset totrue.
Scenario 3: Partial Captures
You can commit a tax request for partial captures. For example:
Request the tax calculation service with the
taxInformation.commitIndicatorset tofalse.Authorize the payment for $0 or wait to authorize partial payments as items are transferred to the customer.
Implement Scenario 1 or Scenario 2 as you make authorizations and captures.
US and Canada Tax Commit
This section shows the fields necessary to commit US and Canadian tax calculation.
To commit a tax calculation, include the taxInformation.commitIndicator field set to true in a tax calculation request.
Example: Processing a Committed Tax Request
{ "clientReferenceInformation": { "code": "TAX_TC001" }, "taxInformation": { "nexus": ["CA", "TX", "AL"], "showTaxPerLineItem": "Yes", "commitIndicator": "true" }, "orderInformation": { "amountDetails": { "currency": "USD" }, "billTo": { "address1": "1 Market St", "locality": "San Francisco", "administrativeArea": "CA", "postalCode": 94105, "country": "US" }, "lineItems": [ { "productSKU": "07-12-00657", "productCode": "PO000000", "quantity": 1, "productName": "Chewing Gum", "unitPrice": 1200 } ] }}{ "_links": { "void": { "method": "PATCH", "href": "/vas/v2/tax/6679349380866991503954" } }, "clientReferenceInformation": { "code": "TAX_TC001" }, "id": "6679349380866991503954", "orderInformation": { "lineItems": [ { "taxableAmount": "1200.00", "taxDetails": [ { "amount": "0.00", "type": "city" }, { "amount": "28.50", "type": "special" }, { "amount": "72.00", "type": "state" }, { "amount": "3.00", "type": "county" }, { "amount": "0.00", "type": "national" } ], "jurisdiction": [ { "country": "US", "code": "06", "taxable": "1200.00", "rate": "0.060000", "name": "CALIFORNIA", "type": "State", "region": "CA", "taxAmount": "72.00", "taxName": "CA STATE TAX" }, { "country": "US", "code": "075", "taxable": "1200.00", "rate": "0.002500", "name": "SAN FRANCISCO", "type": "County", "region": "CA", "taxAmount": "3.00", "taxName": "CA COUNTY TAX" }, { "country": "US", "code": "EMBE0", "taxable": "1200.00", "rate": "0.013750", "name": "SAN FRANCISCO COUNTY DISTRICT TAX SP", "type": "Special", "region": "CA", "taxAmount": "16.50", "taxName": "CA SPECIAL TAX" }, { "country": "US", "code": "EMTV0", "taxable": "1200.00", "rate": "0.010000", "name": "SAN FRANCISCO CO LOCAL TAX SL", "type": "Special", "region": "CA", "taxAmount": "12.00", "taxName": "CA SPECIAL TAX" } ], "exemptAmount": "0.00", "taxAmount": "103.50" } ], "taxableAmount": "1200.00", "taxDetails": [ { "amount": "28.50", "type": "special" }, { "amount": "72.00", "type": "state" }, { "amount": "0.00", "type": "national" }, { "amount": "3.00", "type": "county" }, { "amount": "0.00", "type": "city" } ], "exemptAmount": "0.00", "taxAmount": "103.50", "amountDetails": { "totalAmount": "1303.50", "currency": "USD" } }, "status": "COMPLETED", "submitTimeUtc": "2022-11-08T19:15:38Z", "taxInformation": { "commitIndicator": "true", "refundIndicator": "false" }}Required Fields: US and Canadian Committed Tax
Use these fields to perform a committed tax request.
clientReferenceInformation.code
Merchant-generated order reference or tracking number.
orderInformation.billTo.administrativeArea
State or province of the billing address.
orderInformation.billTo.country
Country of the billing address.
orderInformation.billTo.locality
City or locality of the billing address.
orderInformation.billTo.postalCode
Postal code of the billing address.
orderInformation.lineItems.unitPrice
Unit price of the line item.
taxInformation.nexus
Specify the states in which you have nexus. If you include this field, do not include the taxInformation.noNexus field.
taxInformation.noNexus
Specify the states in which you do not have nexus. If you include this field, do not include the taxInformation.nexus field.
taxInformation.showTaxPerLineItem
Indicates whether to return tax amounts per line item in the response.
taxInformation.commitIndicator
Set to true.
Optional Fields: US and Canadian Committed Tax
Select from these optional fields to commit a tax request.
clientReferenceInformation.code
Merchant-generated order reference or tracking number.
clientReferenceInformation.partner.developerId
Identifier for the developer.
clientReferenceInformation.partner.solutionId
Identifier for the partner solution.
orderInformation.amountDetails.currency
Currency used for the order.
orderInformation.billTo.address1
First line of the billing address.
orderInformation.billTo.address2
Second line of the billing address.
orderInformation.invoiceDetails.invoiceDate
Date of the invoice.
orderInformation.lineItems.orderAcceptance.administrativeArea
Administrative area where the order was accepted at the line item level.
orderInformation.lineItems.orderAcceptance.country
Country where the order was accepted at the line item level.
orderInformation.lineItems.orderAcceptance.locality
Locality where the order was accepted at the line item level.
orderInformation.lineItems.orderAcceptance.postalCode
Postal code where the order was accepted at the line item level.
orderInformation.lineItems.orderOrigin.administrativeArea
Administrative area of the order origin at the line item level.
orderInformation.lineItems.orderOrigin.country
Country of the order origin at the line item level.
orderInformation.lineItems.orderOrigin.locality
Locality of the order origin at the line item level.
orderInformation.lineItems.orderOrigin.postalCode
Postal code of the order origin at the line item level.
orderInformation.lineItems.productCode
Tax product code for the line item.
orderInformation.lineItems.productName
Name of the product at the line item level.
orderInformation.lineItems.productSku
SKU of the product at the line item level.
orderInformation.lineItems.quantity
Quantity of the product at the line item level.
orderInformation.lineItems.shipFromAdministrativeArea
Administrative area from which the item ships.
orderInformation.lineItems.shipFromCountry
Country from which the item ships.
orderInformation.lineItems.shipFromLocality
Locality from which the item ships.
orderInformation.lineItems.shipFromPostalCode
Postal code from which the item ships.
orderInformation.lineItems.taxAmount
Tax amount for the line item.
orderInformation.orderAcceptance.administrativeArea
Administrative area where the order was accepted at the order level.
orderInformation.orderAcceptance.country
Country where the order was accepted at the order level.
orderInformation.orderAcceptance.locality
Locality where the order was accepted at the order level.
orderInformation.orderAcceptance.postalCode
Postal code where the order was accepted at the order level.
orderInformation.orderOrigin.administrativeArea
Administrative area of the order origin at the order level.
orderInformation.orderOrigin.country
Country of the order origin at the order level.
orderInformation.orderOrigin.locality
Locality of the order origin at the order level.
orderInformation.orderOrigin.postalCode
Postal code of the order origin at the order level.
orderInformation.shippingDetails.shipFromAdministrativeArea
Administrative area from which the shipment originates at the order level.
orderInformation.shippingDetails.shipFromCountry
Country from which the shipment originates at the order level.
orderInformation.shippingDetails.shipFromLocality
Locality from which the shipment originates at the order level.
orderInformation.shippingDetails.shipFromPostalCode
Postal code from which the shipment originates at the order level.
orderInformation.shipTo.address1
First line of the shipping address.
orderInformation.shipTo.address2
Second line of the shipping address.
orderInformation.shipTo.address3
Third line of the shipping address.
orderInformation.shipTo.administrativeArea
State or province of the shipping address.
orderInformation.shipTo.country
Country of the shipping address.
orderInformation.shipTo.locality
City or locality of the shipping address.
orderInformation.shipTo.postalCode
Postal code of the shipping address.
taxInformation.commitIndicator
Set field to true to commit tax calculation.
taxInformation.dateOverrideReason
Reason for overriding the reporting date.
taxInformation.refundIndicator
Set to true to indicate a refund tax calculation.
taxInformation.reportingDate
Date to use for reporting purposes.
taxInformation.showTaxPerLineItem
Indicates whether to return tax amounts per line item in the response.
International Tax and VAT Committed Tax Calculation
Use a committed tax calculation to include the owed tax amount with a capture.
To commit a tax calculation, include the taxInformation.commitIndicator field set to true in a tax calculation request.
Example: Processing an International Committed Tax Calculation
{ "clientReferenceInformation": { "code": "TAX_TC001" }, "taxInformation": { "showTaxPerLineItem": "Yes", "commitIndicator": true }, "orderInformation": { "amountDetails": { "currency": "USD" }, "billTo": { "locality": "San Francisco", "administrativeArea": "CA", "postalCode": 94105, "country": "US" }, "lineItems": [ { "unitPrice": 1200 } ] }}{ "_links": { "void": { "method": "PATCH", "href": "/vas/v2/tax/6632667159226346003954" } }, "clientReferenceInformation": { "code": "TAX_TC001" }, "id": "6632667159226346003954", "orderInformation": { "lineItems": [ { "taxableAmount": "1200.00", "taxDetails": [ { "amount": "0.00", "type": "city" }, { "amount": "28.50", "type": "special" }, { "amount": "72.00", "type": "state" }, { "amount": "3.00", "type": "county" }, { "amount": "0.00", "type": "national" } ], "jurisdiction": [ { "country": "US", "code": "06", "taxable": "1200.00", "rate": "0.060000", "name": "CALIFORNIA", "type": "State", "region": "CA", "taxAmount": "72.00", "taxName": "CA STATE TAX" }, { "country": "US", "code": "075", "taxable": "1200.00", "rate": "0.002500", "name": "SAN FRANCISCO", "type": "County", "region": "CA", "taxAmount": "3.00", "taxName": "CA COUNTY TAX" }, { "country": "US", "code": "EMBE0", "taxable": "1200.00", "rate": "0.013750", "name": "SAN FRANCISCO COUNTY DISTRICT TAX SP", "type": "Special", "region": "CA", "taxAmount": "16.50", "taxName": "CA SPECIAL TAX" }, { "country": "US", "code": "EMTV0", "taxable": "1200.00", "rate": "0.010000", "name": "SAN FRANCISCO CO LOCAL TAX SL", "type": "Special", "region": "CA", "taxAmount": "12.00", "taxName": "CA SPECIAL TAX" } ], "exemptAmount": "0.00", "taxAmount": "103.50" } ], "taxableAmount": "1200.00", "taxDetails": [ { "amount": "28.50", "type": "special" }, { "amount": "72.00", "type": "state" }, { "amount": "0.00", "type": "national" }, { "amount": "3.00", "type": "county" }, { "amount": "0.00", "type": "city" } ], "exemptAmount": "0.00", "taxAmount": "103.50", "amountDetails": { "totalAmount": "1303.50", "currency": "USD" } }, "status": "COMPLETED", "submitTimeUtc": "2022-09-15T18:31:57Z", "taxInformation": { "commitIndicator": "true", "refundIndicator": "false" }}Required Fields: International Committed Tax
Use these fields to perform a committed international tax request.
merchantInformation.vatRegistrationNumber
Merchant's VAT registration number.
orderInformation.amountDetails.currency
Currency used for the order.
orderInformation.billTo.country
Country of the billing address.
orderInformation.lineItems.unitPrice
Unit price of the line item.
taxInformation.showTaxPerLineItem.commitIndicator
Set to true.
Optional Fields: International Committed Tax
Select from these optional fields to commit an international tax request.
buyerInformation.vatRegistrationNumber
Buyer's VAT registration number.
clientReferenceInformation.code
Merchant-generated order reference or tracking number.
clientReferenceInformation.partner.developerId
Identifier for the developer.
clientReferenceInformation.partner.solutionId
Identifier for the partner solution.
orderInformation.billTo.address1
First line of the billing address.
orderInformation.billTo.address2
Second line of the billing address.
orderInformation.billTo.administrativeArea
State or province of the billing address.
orderInformation.billTo.locality
City or locality of the billing address.
orderInformation.billTo.postalCode
Postal code of the billing address.
orderInformation.invoiceDetails.invoiceDate
Date of the invoice.
orderInformation.lineItems.buyerVatRegistrationNumber
Buyer's VAT registration number at the line item level.
orderInformation.lineItems.sellerVatRegistrationNumber
Seller's VAT registration number at the line item level.
orderInformation.lineItems.productCode
Tax product code for the line item.
orderInformation.lineItems.productName
Name of the product at the line item level.
orderInformation.lineItems.productSku
SKU of the product at the line item level.
orderInformation.lineItems.quantity
Quantity of the product at the line item level.
orderInformation.lineItems.taxAmount
Tax amount for the line item.
taxInformation.commitIndicator
Set field to true to commit tax calculation.
taxInformation.dateOverrideReason
Reason for overriding the reporting date.
taxInformation.nexus
Specify the states in which you have nexus. If you include this field, do not include the taxInformation.noNexus field.
taxInformation.noNexus
Specify the states in which you do not have nexus. If you include this field, do not include the taxInformation.nexus field.
taxInformation.refundIndicator
Set to true to indicate a refund tax calculation.
taxInformation.reportingDate
Date to use for reporting purposes.
taxInformation.showTaxPerLineItem
Indicates whether to return tax amounts per line item in the response.
Thanks for your feedback!
Last published: September 29, 2026